Package org.eclipse.emf.cdo.lm.modules

# Interface ModulesPackage.Literals

Enclosing interface:
  `ModulesPackage`

public static interface ModulesPackage.Literals
Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

Generated

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EClass`
`DEPENDENCY_DEFINITION`
The meta object literal for the '`Dependency Definition`' class.
`static final EReference`
`DEPENDENCY_DEFINITION__SOURCE`
The meta object literal for the 'Source' container reference feature.
`static final EAttribute`
`DEPENDENCY_DEFINITION__TARGET_NAME`
The meta object literal for the 'Target Name' attribute feature.
`static final EAttribute`
`DEPENDENCY_DEFINITION__VERSION_RANGE`
The meta object literal for the 'Version Range' attribute feature.
`static final EClass`
`MODULE_DEFINITION`
The meta object literal for the '`Module Definition`' class.
`static final EReference`
`MODULE_DEFINITION__DEPENDENCIES`
The meta object literal for the 'Dependencies' containment reference list feature.
`static final EAttribute`
`MODULE_DEFINITION__NAME`
The meta object literal for the 'Name' attribute feature.
`static final EAttribute`
`MODULE_DEFINITION__VERSION`
The meta object literal for the 'Version' attribute feature.
`static final EDataType`
`VERSION`
The meta object literal for the 'Version' data type.
`static final EDataType`
`VERSION_RANGE`
The meta object literal for the 'Version Range' data type.

## Field Details

### MODULE_DEFINITION

static final EClass MODULE_DEFINITION
The meta object literal for the '`Module Definition`' class.

See Also:
  - `ModuleDefinitionImpl`
  - `ModulesPackageImpl.getModuleDefinition()`
Generated

### MODULE_DEFINITION__NAME

static final EAttribute MODULE_DEFINITION__NAME
The meta object literal for the 'Name' attribute feature.

Generated

### MODULE_DEFINITION__VERSION

static final EAttribute MODULE_DEFINITION__VERSION
The meta object literal for the 'Version' attribute feature.

Generated

### MODULE_DEFINITION__DEPENDENCIES

static final EReference MODULE_DEFINITION__DEPENDENCIES
The meta object literal for the 'Dependencies' containment reference list feature.

Generated

### DEPENDENCY_DEFINITION

static final EClass DEPENDENCY_DEFINITION
The meta object literal for the '`Dependency Definition`' class.

See Also:
  - `DependencyDefinitionImpl`
  - `ModulesPackageImpl.getDependencyDefinition()`
Generated

### DEPENDENCY_DEFINITION__SOURCE

static final EReference DEPENDENCY_DEFINITION__SOURCE
The meta object literal for the 'Source' container reference feature.

Generated

### DEPENDENCY_DEFINITION__TARGET_NAME

static final EAttribute DEPENDENCY_DEFINITION__TARGET_NAME
The meta object literal for the 'Target Name' attribute feature.

Generated

### DEPENDENCY_DEFINITION__VERSION_RANGE

static final EAttribute DEPENDENCY_DEFINITION__VERSION_RANGE
The meta object literal for the 'Version Range' attribute feature.

Generated

### VERSION

static final EDataType VERSION
The meta object literal for the 'Version' data type.

See Also:
  - `Version`
  - `ModulesPackageImpl.getVersion()`
Generated

### VERSION_RANGE

static final EDataType VERSION_RANGE
The meta object literal for the 'Version Range' data type.

See Also:
  - `VersionRange`
  - `ModulesPackageImpl.getVersionRange()`
Generated